'use strict';

// Configuring the infrastructureRequests module
angular.module('infrastructureRequests').run(['Menus',
  function (Menus) {
    // Add the infrastructureRequests dropdown item
    Menus.addMenuItem('topbar', {
      title: 'Infrastructure Requests',
      state: 'infrastructureRequests',
      type: 'dropdown',
      roles: ['*']
    });

    // Add the dropdown list item
    Menus.addSubMenuItem('topbar', 'infrastructureRequests', {
      title: 'List Infrastructure Requests',
      state: 'infrastructureRequests.list'
    });

    // Add the dropdown create new Hosting item
    Menus.addSubMenuItem('topbar', 'infrastructureRequests', {
      title: 'Create Infrastructure Request',
      state: 'infrastructureRequests.createInfrastructureRequest',
      roles: ['user']
    });
  }
]);
